const express = require("express");
const router = express.Router();

const { requireArztOrMitarbeiter } = require("../middleware/auth.middleware");
const {
  addMedication,
  endMedication,
  deleteMedication,
} = require("../controllers/patientMedication.controller");

router.post("/:id/medications", requireArztOrMitarbeiter, addMedication);
router.post("/patient-medications/end/:id", requireArztOrMitarbeiter, endMedication);
router.post("/patient-medications/delete/:id", requireArztOrMitarbeiter, deleteMedication);

module.exports = router;
